---
- name: Install CentOS Epel Repository
  include_role:
    name: geerlingguy.repo-epel
  when: ansible_distribution == 'CentOS'

- name: Install Python3
  package:
    name: python3

- name: Now try to use Python3 on remote host
  set_fact:
    ansible_python_interpreter: python3

- name: Install Git
  include_role:
    name: geerlingguy.git

- name: Install Docker
  vars:
    docker_install_compose: false
  include_role:
    name: geerlingguy.docker

- name: Install Pip
  vars:
    pip_package: python3-pip
    pip_executable: pip3
    pip_install_packages:
      - name: docker
      - name: docker-compose
  include_role:
    name: geerlingguy.pip
